View Issue Details

IDProjectCategoryView StatusLast Update
0025594mantisbtuipublic2019-04-21 02:53
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.21.0Fixed in Version2.21.0 
Summary0025594: Projects menu search box should be hidden when having a small number of projects
Description

In the navbar projects menu, when the number of available projects is 10 or less, the search box is supposed to be hidden.
But this is not working, the search box is always rendered.

TagsNo tags attached.

Relationships

related to 0023037 closedcproensa Focus on project search 

Activities

dregad

dregad

2019-04-11 10:57

developer   ~0061890

Assigning to @cproensa since he authored PR https://github.com/mantisbt/mantisbt/pull/1478

Related Changesets

MantisBT: master d47a7c60

2019-03-09 13:12:26

cproensa


Committer: dregad Details Diff
Projects list js

Changes and clean up for the navbar project list dropdown:

- When the dropdown is displayed:
- Apply focus to the active list element to position the
scrollable area over that element.
- If the list is empty, apply focus to the searchbox.

- Manage key events in the dropdown elements:
- When using the list and any key not related to list navigation is
pressed (for example, typing a text for searching), switch the focus
to the search box for it to receive the input.
- When using the searchbox and any key of up, down, pageup, pagedown,
is pressed, switch the focus to the list to allow navigating with
keyboard.
- Escape key in the search box will close the dropdown.

- Fix hiding the searchbox when only 10 or less items are displayed.

- Code clean-up:
- Move all the code related to the navbar projects menu to the same
place in the js file.
- Rename variables for less probability of collision with other
unrelated code.

Fixes: 0023037, 0025594
Affected Issues
0023037, 0025594
mod - js/common.js Diff File

MantisBT: master 9ba56530

2019-04-13 12:25:25

dregad

Details Diff
Fix projects selector navigation and search

Fixes 0023037, 0025594
PR https://github.com/mantisbt/mantisbt/pull/1478
Affected Issues
0023037, 0025594
mod - core/layout_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - js/common.js Diff File

Issue History

Date Modified Username Field Change
2019-03-12 17:41 cproensa New Issue
2019-04-11 10:57 dregad Relationship added related to 0023037
2019-04-11 10:57 dregad Assigned To => cproensa
2019-04-11 10:57 dregad Status new => assigned
2019-04-11 10:57 dregad Note Added: 0061890
2019-04-13 12:31 dregad Changeset attached => MantisBT master d47a7c60
2019-04-13 12:31 dregad Changeset attached => MantisBT master 9ba56530
2019-04-13 12:31 dregad Assigned To cproensa => dregad
2019-04-13 12:31 dregad Status assigned => resolved
2019-04-13 12:31 dregad Resolution open => fixed
2019-04-13 12:31 dregad Fixed in Version => 2.21.0
2019-04-13 12:32 dregad Assigned To dregad => cproensa
2019-04-13 12:32 dregad Target Version => 2.21.0
2019-04-13 12:32 dregad Summary Projects menu search box should be hidden when having a small numebr of projects => Projects menu search box should be hidden when having a small number of projects
2019-04-21 02:53 vboctor Status resolved => closed